
Conversion Tools - Feature #1903

Feature # 1901 (New): modify the conversion process to properly run on Windows

disambiguate generated filenames that are only differentiated by a difference in case (on Windows

filename.txt and filEname.txt refer to the same file)

11/02/2012 10:21 AM - Greg Shah

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 24.00 hours

Target version:    

billable: No version:  

vendor_id: GCD   

Description

History

#1 - 11/02/2012 10:27 AM - Greg Shah

The bottom line is that 4GL code can have user-defined names (external procedure filenames, frame names, table names) that generate filenames in

the converted code (especially since all of these resources are turned into Java classes).  Due to Java's symbol rules, characters such as "-" cannot

appear in valid names, but these are common in 4GL.  The current implementation disambiguates such cases, but it was written to work on Linux

which has a case-sensitive filesystem.  There are specific cases in Majic that break when run on Windows because where 2 different classes are

generated under Linux (which correctly matches the original 4GL implementation, whether intended by the 4GL programmer or not), under Windows

only one of the classes gets generated and the resulting converted Java app won't compile.

Please see task #1565 for some detailed findings.  These cases need to be resolved.

#2 - 11/02/2012 10:28 AM - Greg Shah

- Target version set to 24

#3 - 11/16/2016 01:16 PM - Greg Shah

- Target version deleted (24)
